## linuxmuster-linuxclient7 1.0.8

=== Makefile ===
.PHONY: help deb docs

help:
	@echo "Options:"
	@echo "  deb    Build debian package"
	@echo "  docs   Build Sphinx documentation"
	@echo "  clean  Remove built files"

deb:
	dpkg-buildpackage -rfakeroot -tc -sa -us -uc -I".directory" -I".git" -I"buildpackage.sh"

docs:
	cd docs && sphinx-build . ../public

clean:
	rm -r public

=== debian/changelog ===
linuxmuster-linuxclient7 (1.0.8) focal; urgency=medium

  - Fix deletion of `/etc/profile.d/linuxmuster-proxy.sh` (#25) 

 -- Dorian Zedler <dorian@itsblue.de>  Sun, 10 Oct 2021 15:20:05 +0200

linuxmuster-linuxclient7 (1.0.7) focal; urgency=low

  - Fix mounting of shares with `useLetter=0`

 -- Dorian Zedler <dorian@itsblue.de>  Sat, 02 Oct 2021 23:48:26 +0200

linuxmuster-linuxclient7 (1.0.6) focal; urgency=medium

  - Fix some issues when logging in with a falsely capitalized username (#29)

 -- Dorian Zedler <dorian@itsblue.de>  Tue, 28 Sep 2021 22:56:13 +0200

linuxmuster-linuxclient7 (1.0.5) focal; urgency=medium

  - Disable machine password renewal (#27)
  - Don't use absolute path for mount.cifs (#28)
  - Only mount drives with letters if useLetter is set to 1 in the GPO

 -- Dorian Zedler <dorian@itsblue.de>  Tue, 28 Sep 2021 16:19:15 +0200

linuxmuster-linuxclient7 (1.0.4) focal; urgency=medium

  - Use rmdir instead of rmtree to remove share mountpoints
  - Unmount sysvol on shutdown
  - Fix some error which prevented login and logout from working correctly
  - Fix syslog problems
  - The Environment variable `SYSVOL` is now exported for users and in all hookscripts. It contains the absolute path to the sysvol mountpoint. 
  - Fix security vulnerability with share mounting (#15)
  - The Environment variable "SERVERHOME" is now exported and contains the mountpoint of the user home share

 -- Dorian Zedler <dorian@itsblue.de>  Sun, 15 Aug 2021 14:13:00 +0200

linuxmuster-linuxclient7 (1.0.4-rc04) focal-testing; urgency=medium

  - Use rmdir instead of rmtree to remove share mountpoints
  - Unmount sysvol on shutdown

 -- Dorian Zedler <dorian@itsblue.de>  Tue, 08 JUN 2021 12:04:00 +0200

linuxmuster-linuxclient7 (1.0.4-rc03) focal-testing; urgency=medium

  - Fix kerberos permission error from rc02

 -- Dorian Zedler <dorian@itsblue.de>  Tue, 08 JUN 2021 12:04:00 +0200

linuxmuster-linuxclient7 (1.0.4-rc02) focal-testing; urgency=medium

  - Fix some error which prevented login and logout from working correctly
  - Fix syslog problems
  - The Environment variable `SYSVOL` is now exported for users and in all hookscripts. It contains the absolute path to the sysvol mountpoint.

 -- Dorian Zedler <dorian@itsblue.de>  Tue, 08 JUN 2021 12:00:00 +0200

linuxmuster-linuxclient7 (1.0.4-rc01) focal-testing; urgency=medium

  - Fix security vulnerability with share mounting (#15)
  - Some refactoring
  - The Environment variable "SERVERHOME" is now exported and contains the mountpoint of the user home share

 -- Dorian Zedler <dorian@itsblue.de>  Mon, 07 JUN 2021 16:02:00 +0200

linuxmuster-linuxclient7 (1.0.3) focal; urgency=medium

  - More cleanup in prepare-image (#13, #11)
  - Pam_mount is not used anymore (#14)
  - Home dir is now mounted as `$USER (H:)` instead of just `$USER`

 -- Dorian Zedler <dorian@itsblue.de>  Mon, 10 May 2021 13:02:00 +0200

linuxmuster-linuxclient7 (1.0.2) focal; urgency=medium

  - Fix #12

 -- Dorian Zedler <dorian@itsblue.de>  Wed, 07 Apr 2021 13:02:00 +0200

linuxmuster-linuxclient7 (1.0.1) focal; urgency=medium

  - Fix issues with onLoginLogoutAsRoot hook
  - The keytab file is now patched on boot -> the domain join is not bound to one computer anymore (#3)
  - Shares can now be mounted in root context using the computer account (#7)
  - Add support for sysstart and sysstop server-hooks (#7)
  - Add onShutdown.d local hookdir (#7)
  - Improve content of error popups on login (#5)
  - Some minor improvements and fixes (#10, #9, #8)

 -- Dorian Zedler <dorian@itsblue.de>  Wed, 07 Apr 2021 13:02:00 +0200

linuxmuster-linuxclient7 (1.0.0-rc01) focal; urgency=medium

  - Initial release

 -- Dorian Zedler <dorian@itsblue.de>  Wed, 07 Apr 2021 13:02:00 +0200

=== debian/control ===
Source: linuxmuster-linuxclient7
Section: linuxmuster
Priority: optional
Maintainer: Dorian Zedler <dorian@itsblue.de>, Andreas Till <andreas.till@netzint.de>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 5.0.0

Package: linuxmuster-linuxclient7
Architecture: all
Depends: python3, python3-ldap, cifs-utils, ldb-tools, bind9-host, ipcalc, hxtools, network-manager, krb5-user, keyutils, samba, sssd, sssd-tools, adcli, libpam-sss, sudo, realmd, cups (>= 2.3.0)
Description: Package for Ubuntu clients to connect to the linuxmuster.net 7 active directory server.
Conflicts: linuxmuster-client-adsso, linuxmuster-client-adsso7, ni-lmn-client-adsso

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=9

#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -g
#endif
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#	INSTALL_PROGRAM += -s
#endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	#$(MAKE)

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.

	touch build-indep-stamp

build: build-arch build-indep

clean: clean1
clean1:
	dh_testdir
	dh_testroot
	rm -f build-indep-stamp build-arch-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean


install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package.
	dh_install
	# remove unnecessary dirs
	rm -f `find debian/linuxmuster-linuxclient7 -name .directory`

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdebconf
	dh_installdocs
#	dh_installexamples -i
#	dh_installmenu -i
	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
	dh_installinit -i --no-start
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl -i
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: install
# We have nothing to do by default.


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure clean1
